package cn.com.qmth.task.starter;

import org.springframework.context.ApplicationListener;
import org.springframework.context.event.ContextRefreshedEvent;

import cn.com.qmth.task.service.job.JobsInitialization;

public class JobsInitializationListener implements ApplicationListener<ContextRefreshedEvent> {

	@Override
	public void onApplicationEvent(ContextRefreshedEvent event) {
    	Thread thread = new Thread(event.getApplicationContext().getBean(JobsInitialization.class));
    	thread.start();
	}

}
