package cn.com.qmth.task;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import cn.com.qmth.task.base.QuartzManager;
import cn.com.qmth.task.base.ScheduleJob;


@RunWith(SpringRunner.class)
@SpringBootTest(classes={cn.com.qmth.task.starter.TaskApplication.class})
public class TestTaskSchedule {

	@Autowired
	private QuartzManager quartzManager;
	
	@Test
	public void executeTaskTest(){
		ScheduleJob scheduleJob = new ScheduleJob();
		scheduleJob.setJobName("clean exam");
		scheduleJob.setJobGroup("OE");
		scheduleJob.setSpringBean("oeCleanExamRecordTask");
		scheduleJob.setCronExpression("0/10 * * * * ?");
		scheduleJob.setStateful(true);
		quartzManager.addJob(scheduleJob);
	}
	
}
